Skip to content

Delete Object Storage

DELETE
/api/v1/storage/buckets/{bucket_name}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Bucket deletion initiated successfully

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Your request to delete the bucket is being processed. This may take some time depending on the amount of data in the bucket."
}

Precondition Failed – Bucket has a lock policy applied

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 412,
"data": {},
"errors": "You can not delete this bucket. Default lock policy is applied on this bucket. First delete default lock policy and then delete bucket.",
"message": "Precondition Failed"
}